%global commit          a59fd76dd730432c76b12ee6347ea66567107ab9
%global snapshotdate    20170219
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

%define rel 10

Name:       webkit2-sharp
Version:    0
Release:    %mkrel %{?snapshotdate:0.%{snapshotdate}git%{shortcommit}.}%{rel}
Summary:    C# bindings for WebKit 2 with GTK+ 3
Group:      Development/C#
License:    MIT
URL:        https://github.com/hbons/%{name}
%{?shortcommit:
Source0:    %url/archive/%{commit}/%{name}-%{shortcommit}.tar.gz}
%{!?shortcommit:
Source0:    %url/archive/%{commit}/%{name}-%{version}.tar.gz}

Patch0:     %{name}-a59fd76-fix_libdir.patch
# https://github.com/hbons/webkit2-sharp/issues/6
Patch1:     0001-Fix-for-new-webkit2.patch
Patch2:     webkit2-sharp-a59fd76-gtk4.1.patch
BuildRequires:  pkgconfig(webkit2gtk-4.1)
BuildRequires:  pkgconfig(mono)
BuildRequires:  pkgconfig(gtk-sharp-3.0)
BuildRequires:  pkgconfig(gapi-3.0)
BuildRequires:  pkgconfig(monodoc)
BuildRequires:  atk-sharp3
BuildRequires:  cairo-sharp3
BuildRequires:  pango-sharp3
BuildRequires:  xsltproc
BuildRequires:  dos2unix
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  gettext

ExclusiveArch:  %mono_arches

#https://fedoraproject.org/wiki/Packaging:Mono#Empty_debuginfo
%global debug_package %{nil}

%description
C# bindings for WebKit 2 with GTK+ 3


%package devel
Summary:    Development files for WebKit2-sharp
Requires:   %{name} = %{version}-%{release}
Requires:   pkgconfig

%description devel
Development files for WebKit2-sharp


%prep
%{?shortcommit:
%setup -q -n %{name}-%{commit}}
%{!?shortcommit:
%setup -q -n %{name}-%{version}}
%patch -P 0 -p1
%patch -P 1 -p1
%patch -P 2 -p1

sed -e "s/webkit2gtk-4.0/webkit2gtk-4.1/g;s/so.37/so.0/" \
    -i configure.ac sources/{webkit2-sharp.dll.config,webkit2-sharp-api.raw}

%build
./autogen.sh
%configure --disable-static
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool
sed -i 's/\r$//' COPYING
# No parallel make, race condition with monodoc
make


%install
%make_install

find %{buildroot} -name '*.la' -delete


%files
%license COPYING
%doc README.md
%{_prefix}/lib/mono/
%{_datadir}/gapi-3.0/webkit2-sharp-api.xml
%{_libdir}/libwebkit2sharpglue-2.10.9.so


%files devel
%{_libdir}/pkgconfig/webkit2-sharp-4.0.pc
%{_prefix}/lib/monodoc/sources/webkit2-sharp*


%changelog
* Tue Jul 08 2025 aurr <aurr> 0-0.20170219gita59fd76.10.mga10
+ Revision: 2252432
- use gtk4.1 backend
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for patchN deprecation

* Tue Jul 04 2023 papoteur <papoteur> 0-0.20170219gita59fd76.8.mga9
+ Revision: 1963569
- Fix fail to build with latest webkit2

* Mon Nov 07 2022 ghibo <ghibo> 0-0.20170219gita59fd76.7.mga9
+ Revision: 1904573
- Removed webkit2 from Requires as not needed anymore with the newer web2kit naming scheme

* Sat Apr 02 2022 umeabot <umeabot> 0-0.20170219gita59fd76.6.mga9
+ Revision: 1840292
- Mageia 9 Mass Rebuild

* Mon Sep 21 2020 tv <tv> 0-0.20170219gita59fd76.5.mga8
+ Revision: 1629236
- rebuild mono fixed mono for proper mono provides & requires...

* Mon Sep 21 2020 tv <tv> 0-0.20170219gita59fd76.4.mga8
+ Revision: 1629151
- add missing BRs
- rebuild for new mono

* Sat Feb 15 2020 umeabot <umeabot> 0-0.20170219gita59fd76.3.mga8
+ Revision: 1523223
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Feb 25 2019 wally <wally> 0-0.20170219gita59fd76.2.mga7
+ Revision: 1370162
- fix requires

* Mon Feb 25 2019 wally <wally> 0-0.20170219gita59fd76.1.mga7
+ Revision: 1370155
- mageiafy .spec
- imported package webkit2-sharp (from Fedora)


* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.9.20170219gita59fd76
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.8.20170219gita59fd76
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jun 28 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.7.20170219gita59fd76
- Remove ldconfig

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.6.20170219gita59fd76
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Jan 14 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.5.20170219gita59fd76
- Disable parallel make

* Fri Jan 12 2018 Tomas Popela <tpopela@redhat.com> - 0-0.4.20170219gita59fd76
- Adapt to the webkitgtk4 rename

* Mon Sep 25 2017 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.3.20170219gita59fd76
- Disable static libraries

* Sun Sep 24 2017 Luya Tshimbalanga <luya@fedoraproject.org> - 0-0.2.20170219gita59fd76
- Improve spec file

* Sun Sep 24 2017 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.1.20170219gita59fd76
- Initial package
